﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LinqToDesktopSearch
{
    public class DesktopSearchResult
    {
        public string ItemNameDisplay;
        public string ItemUrl;
        public string ItemPathDisplay;
        public string[] Kind;
        public Int64? Size;
        public DateTime? DateCreated;
    }

    static class Program
    {
        static void Main(string[] args)
        {
            string fragment = null;
            if (args.Length > 0)
            {
                fragment = args[0];
            }
            else
            {
                while (string.IsNullOrEmpty(fragment))
                {
                    Console.Write("Type a segment of filename: ");
                    fragment = Console.ReadLine();
                }
            }

            var desktop = new DesktopSearch<DesktopSearchResult>();

            var results = from file in desktop
                          where file.ItemNameDisplay.Contains(fragment)
                          select file;

            foreach (var result in results)
            {
                Console.WriteLine(result.ItemNameDisplay);
            }
        }
    }
}
